Subject: bug#6585: 23.1; Hang / CPU 100% on background interaction when in minibuffer

From: "Jason S. Cornez" <[email-masked]>
Date: Thu, 15 Jul 2010 17:59:33 +0200

On 07/15/2010 05:53 PM, Johan Bockgård wrote:
> Note that quitting is inhibited for code that runs from timers or
> process filters etc. (I don't know if this is your problem.)

I've fully explained the situation above.  The message which does
initiate the elisp function with the infinite loop does come from an
external process.  So while there is obviously a bug in the elisp code
(which I've now fixed) the resulting non-responsive emacs consuming the
CPU seems like a bad thing and I really think I ought to be able to quit
from this situation - indeed that I ought to be able to quit from just
about any situation.

- -Jason